import * as React from 'react';
/**
 * value: 需要抵达的数
 * last：动画开始的数字，默认为0
 * format: 数的格式
 *          number:整数（默认）
 *          decimal: 保留两位小数
 *          usd: 美国数字(三位后有一逗号分开)
 *          precent: 百分比，此时 value 应该为 0-1的数
 *          chinese: 中文字
 * duration: 换换时间，默认 2000毫秒
*/
export default class extends React.PureComponent<{
    value: number;
    last?: number;
    format?: 'number' | 'decimal' | 'usd' | 'precent' | 'chinese';
    duration?: number;
    className?: string;
}> {
    id: string;
    last: number;
    format: string;
    duration: number;
    tranNumber(from: any, to: any): void;
    tranChinese(from: any, to: any): void;
    tranUsd(from: any, to: any): void;
    tranDecimal(from: any, to: any): void;
    tranPrecent(from: any, to: any): void;
    constructor(props: any);
    transition(): void;
    componentDidMount(): void;
    componentDidUpdate(): void;
    render(): JSX.Element;
}
